<!DOCTYPE html>
<html lang="zh-cn">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>赛亿销售统计</title>
    <link rel="stylesheet" href="/static/css/base.css">
    <link rel="stylesheet" href="/static/css/bootstrap.min.css">
    <link rel="stylesheet" href="/static/css/index.css">
    <script src="/static/js/jquery.min.js"></script>
    <script src="/static/js/bootstrap.min.js"></script>
    <style type="text/css">
        @media print {
            .noprint {
                display: none;
            }

            input {
                border: none;
            }
        }
    </style>
</head>

<body>
    <div class="container" style="width: 1300px;">
        <div class="header">
            <span><img src="/img/logo.jpg" alt=""></span>
            <span>北京赛亿科技有限公司</span>
        </div>
        <div class="aside">
            <div class="col-md-12 lin-height text_center"><a href="/index">提成汇总</a></div>
            <div class="col-md-12 lin-height text_center"><a href="/index/commission">计提数据录入</a></div>
            <div class="col-md-12 lin-height text_center"><a href="/index/seller">销售员管理</a></div>
            <div class="col-md-12 lin-height text_center"><a href="/index/company">销售单位管理</a></div>
        </div>
        <!--startprint-->
        <div class="content">
            <div class="time row">
                <div class="col-md-3 noprint">
                    请选择月份 :
                    <select name="select_time" id="select_time">
                        <?php
                        foreach ($maonth_picker->monarr as $value) {
                            if ($maonth_picker->cur_month == $value) {
                                echo "<option value='$value' selected>$value</option>";
                            } else {
                                echo "<option value='$value'>$value</option>";
                            }
                        }
                        ?>
                    </select>
                </div>
                <div class="col-md-5 text_center">
                    <h4><?php echo $maonth_picker->cur_month; ?>份提成汇总表</h4>
                </div>
                <div class="col-md-2  noprint" style="text-align:right;">
                    <div class="btn-group ">
                        <button type="button" class="btn btn-default" onclick=" doPrint()">打印</button>
                    </div>
                </div>
            </div>
            <div class="row">
               
            </div>
            <div style="margin-left:50px;">
                <div class="row" style="margin:0 auto;">
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">制表：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">复核：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">审批：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">制表：</span>
                </div>
                <div class="row" style="margin:0 auto;">
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">日期：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">日期：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">日期：</span>
                    <span class="col-md-1" style="line-height: 40px;margin-right:50px;">日期：</span>
                </div>
            </div>
        </div>
        <!--endprint-->
    </div>
    
    <!-- loading -->
    <div class="modal fade" id="loading" tabindex="-1" role="dialog" aria-labelledby="myModalLabelLoading" aria-hidden="true" style="top: 200px;">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabelLoading">提示</h4>
            </div>
            <div class="modal-body">
                系统初始化中, 请稍候。。。<span id="resultLoading" style="color:red;"></span>
            </div>
            </div>
        </div>
    </div>
    <script src="/static/js/init.js"></script>
    <script>
        init();

        function doPrint() {
            var bdhtml = window.document.body.innerHTML;
            var startprint = "<!--startprint-->";
            var endprint = "<!--endprint-->";
            prnhtml = bdhtml.substr(bdhtml.indexOf(startprint) + 17, bdhtml.indexOf(endprint));
            window.document.body.innerHTML = prnhtml;
            window.print();
        }

        $("#select_time").change(function() {
            var select_time = $("#select_time").val();
            window.location.href = "/index.php?select_time=" + select_time;
        })

        // 修改其他业务费, 历史欠款
        function modify(obj) {
            var su_id = $(obj).data("su_id")
            var seller = $(obj).data("seller");
            var other_expenses = $(obj).data("other_expenses");
            var overdraft = $(obj).data("overdraft");
            $("#su_id").val(su_id);
            $("#seller").val(seller);
            $("#other_expenses").val(other_expenses);
            $("#overdraft").val(overdraft);

            $("#myModal").modal("show");
        }

        $("#tj").click(function() {
            var data = {
                "id": Number($("#su_id").val()),
                "name": $("#seller").val(),
                "month": $("#month").val(),
                "other_expenses": Number($("#other_expenses").val()),
                "overdraft": Number($("#overdraft").val()),
            }
            console.log(data);
            // return false;
            $.post('/dosummary.php', data, function(res) {
                if (res.code == 0) {
                    window.location.reload();
                } else {
                    alert(res.msg);
                }
            }, 'json');
        })
    </script>
</body>

</html>